/* http://meyerweb.com/eric/tools/css/reset/ 
   v2.0 | 20110126
   License: none (public domain)
*/

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
    margin: 0;
    padding: 0;
    border: 0;
    font-size: 100%;
    font: inherit;
    vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section {
    display: block;
}
body {
    line-height: 1;
}
ol, ul {
    list-style: none;
}
blockquote, q {
    quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
    content: '';
    content: none;
}
table {
    border-collapse: collapse;
    border-spacing: 0;
}

.header img {
    display: block;
    width: 100%;
}

* {
  margin: 0;
  padding: 0;
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

/* ============================================================ */
body {
    position: relative;
}

.header {
    background-color: rgba(0, 0, 0, 0.3);
    height: 44px;
    padding: 0 10px;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-between;
    align-items: center;
    z-index: 10;
}

h2 {
    padding-top: 50px;
    padding-left: 15px;
    text-align: left;
    position: relative;
    font-family: 'Gothic A1', sans-serif;
    font-size: 16px;
    color: #000;
    font-weight: 600;

}

h1 {
    padding-top: 20px;
    text-align: center;
    position: relative;
    font-family: 'Roboto', sans-serif;
    font-size: 18px;
    color: #000;
    font-weight: 600;
}

.logo--container {
    width: 150px;
}

.shop--container {
    width: 30px;
}

.menu-button {
    width: 30px;
    height: 30px;
    cursor: pointer;
}

/* ============================Home================================ */
.section--container {
    margin-top: 44px;
}

.section-title {
    font-family: 'Gothic A1', sans-serif;
    font-size: 18px;
    color: #000;
    font-weight: 600;
}

.home .backgroundContainer {
    height: 360px;
    overflow: hidden;
}

.home .backgroundContainer img {
    position: relative;
    height: 100%;
    left: 50%;
    transform: translateX(-50%);
}    

 .section-title {
    text-align: center;
}

 .home .section-title p {
    padding-top: 26px;
}

 .home .section-title span {
    font-weight: 400;
    display: inline-block;
    padding-top: 10px;
    padding-bottom: 26px;
}



.home .mail p {
    padding-top: 20px;
    text-align: center;
    position: relative;
    font-family: 'Roboto', sans-serif;
    font-size: 18px;
    color: #000;
    font-weight: 600;
}





/* ====================Scratch off maps======================================== */
.maps {
    background-color: #ffffff;
}


.maps .section-title p {
    padding-top: 50px;

}

.subtitle p {
    padding-top: 26px;
    text-align: center;
    position: relative;
    font-family: 'Gothic A1', sans-serif;
    font-size: 12px;
    color: #000;
    font-weight: 600;
    padding-bottom: 26px;
}

.maps .testimonials {
    padding-top: 50px;
}

.maps .testimonials p {
    font-family: 'Roboto', sans-serif;
    font-size: 16px;
    color: #000;
    font-weight: 400;
    display: inline-block;
    position: relative;
    text-align: left;
    padding-top: 20px;
    padding-left: 15px;
    padding-right: 15px;
    line-height: 1.4;
    text-align: justify;
}


/* ==================== mission ======================================== */
.mission {
    /*height: 500px;*/
    background-color: #ffffff;
}

.mission .section-title p {
    padding-top: 50px;
}

 

.mission .mission-text p {
    font-family: 'Roboto', sans-serif;
    font-size: 16px;
    color: #000;
    font-weight: 400;
    display: inline-block;
    position: relative;
    text-align: left;
    padding-top: 20px;
    padding-left: 15px;
    padding-right: 15px;
    line-height: 1.4;
    text-align: justify;

}

/* ========================Blog==================================== */

.blog {
    /*height: 500px;*/
    background-color: #ffffff;
}

.blog .section-title p {
    padding-top: 50px;
}

.blog .article .image-container {
    margin-top: 20px;
    height: 250px;
    overflow: hidden;
}

.blog .article .image-container img {
    position: relative;
    height: 100%;
    left: 50%;
    transform: translateX(-50%);
}

.blog .article .blog-text {
    margin-top: 20px;
}

.blog .article .blog-text p {
    font-family: 'Roboto', sans-serif;
    font-size: 16px;
    color: #000;
    font-weight: 400;
    position: relative;
    text-align: left;
    padding-top: 20px;
    padding-left: 15px;
    padding-right: 15px;
    line-height: 1.4;
    margin-bottom: 26px;
    /*text-align: justify;*/
}

/* =======================contact===================================== */

.contact {
    background-color: #ffffff;
}

.contact .section-title p {
    padding-top: 50px;
}

.contact .contact-text p {
    font-family: 'Roboto', sans-serif;
    font-size: 14px;
    color: #000;
    font-weight: 400;
    position: relative;
    text-align: left;
    padding-top: 30px;
    padding-left: 15px;
    padding-right: 15px;
    line-height: 1.3;
    
}

.contact .contact-invitation p {
    padding-top: 16px;
    padding-left: 15px;
    text-align: left;
    position: relative;
    font-family: 'Roboto', sans-serif;
    font-size: 14px;
    color: #000;
    font-weight: 600;

}

.contact .facebook {
    margin-top: 30px;
    margin-bottom: 30px;
    position: relative;
    width:  100px;
    left: 50%;
    transform: translateX(-50%);
}

/* ============================================================ */

.cta {
    height: 32px;
    line-height: 28px;
    display: inline-block;
    padding: 0 11px;
    color: #f8650c;
    text-align: center;
    border: 2px solid #f8650c;
    border-radius: 3px;
    font-size: 16px;
    font-family: 'Gothic A1', sans-serif;
    font-weight: 600;
    text-decoration: none;
    position: relative;
    left: 50%;
    transform: translateX(-50%);
    cursor: pointer;
}

/* ============================================================ */

.slider--container {
    position: relative;
    padding-top: 50px;
}

.slider--container .owl-theme .owl-nav {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    margin: 0;
    height: 30px;
    width: 100%;
    pointer-events: none;
}

.slider--container .owl-theme .owl-dots {
    position: absolute;
    bottom: -15px;
    left: 50%;
    transform: translateX(-50%);
}

.slider--container .owl-theme .owl-dots .owl-dot span {
    background: #fff;
    border: 1px solid #000;
    width: 6px;
    height: 6px;
    margin: 0px 3px;
}

.slider--container .owl-theme .owl-dots .owl-dot.active span, 
.slider--container .owl-theme .owl-dots .owl-dot:hover span {
    background: #000;
}

.slider--container .owl-carousel .owl-nav button {
    pointer-events: all;
}

.slider--container .owl-carousel .owl-nav button.owl-next {
    position: absolute;
    right: 10px;
    width: 20px;
    height: 20px;
    background: url('../assets/arrow.svg') no-repeat center;
}

.slider--container .owl-carousel .owl-nav button.owl-prev {
    position: absolute;
    left: 10px;
    width: 20px;
    height: 20px;
    background: url('../assets/arrow.svg') no-repeat center;
    transform: scaleX(-1);
}

.menu-slider {
    position: fixed;
    top: 44px;
    left: -250px;
    width: 250px;
    height: 100%;
    z-index: 100;
    -moz-transition: all 200ms ease-in;
    -webkit-transition: all 200ms ease-in;
    -o-transition: all 200ms ease-in;
    transition: all 200ms ease-in;
}

.menu-slider.open {
    display: block;
    left: 0;
}

/* Important, so the body won't move if menu is open */
body.open {
    overflow: hidden;
}

.menu-slider ul {
    width: 250px;
    height: 100%;
    padding: 0;
    margin: 0;
    list-style: none;
    background: #222;
    overflow: hidden;
    opacity: 0.95;
}

.menu-slider li {
    margin: 0;
}

.menu-slider a {
    color: #fff;
    font-size: 1em;
    font-family: 'helvetica neue', helvetica, arial, sans-serif;
    text-decoration: none;
    display: block;
    padding: 12px 15px;
    font-weight: 300;
    letter-spacing: 2px;
    border-bottom: 1px solid #333;
}

.map-detail--container {
    padding-top: 50px;
}

.map-detail--container,
.map-detail--item {
    display: flex;
    flex-direction: column;
    align-items: center;
}


.map-detail--img {
    width: 218px;
    display: block;
}

.map-detail--title {
    font-family: 'Gothic A1', sans-serif;
    font-weight: 900;
    font-size: 16px;
    margin-bottom: 30px;
}

.map-detail--description {
    font-family: 'Gothic A1', sans-serif;
    font-weight: 600;
    font-size: 16px;
    text-align: center;
    margin-bottom: 30px;
    display: inline-block;
    width: 260px;
    line-height: 1.4;
}

.line-break {
    border-bottom: 2px solid #000;
    width: 200px;
    margin: 30px 0;
}


.line-clamp {
    display: block;
    display: -webkit-box;
    margin: 0 auto;
    height: 84px;
    font-size: 26px;
    line-height: 1.4;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.hidden {
    display: none;
}

.desktop-menu {
    display: none;
}

@media all and (min-width: 1024px) {
    .menu-button {
        display: none;
    }

    .desktop-menu {
        display: block;

    }

    .desktop-menu ul {
        display: flex;
        flex-flow: row nowrap;
        justify-content: space-between;
        align-items: center;
    }

    .desktop-menu a {
        color: #fff;
        font-size: 1em;
        font-family: 'helvetica neue', helvetica, arial, sans-serif;
        text-decoration: none;
        display: block;
        padding: 12px 15px;
        font-weight: 300;
        letter-spacing: 2px;
    }

    .line-break {
        display: none;
    }

    .map-detail--container {
        flex-direction: row;
        flex-flow: nowrap;
        justify-content: space-around;
        padding-top: 100px;
    }

    .map-detail--item {
        height: 330px;
        justify-content: space-between;
    }

    .map-detail--title {
       margin-bottom: 0; 
    }

    .map-detail--description {
        margin-bottom: 0;
    }

    .home .backgroundContainer {
        height: 75vh;
    }
    
    .home .backgroundContainer img {
        height: initial;
        left: 50%;
        width: 100%;
        top: 60%;
        transform: translate(-50%, -50%);
    }

    .maps .section-title p{
        padding-top: 150px;
    }

    .maps .testimonials {
        padding-top: 150px;
        padding-left: 150px;
        padding-right: 150px;
    }

    .mission .section-title p {
        padding-top: 150px;
    }

    .mission .mission-text {
        padding-left: 150px;
        padding-right: 150px;
    }

    .blog .section-title p {
        padding-top: 150px;
    }

    .blog .article {
        padding: 0 30px;
        width: 40%;
    }

    .contact .contact-text {
        padding-left: 150px;
        padding-right: 150px;
    }

    .contact .contact-invitation {
        padding-left: 150px;
        padding-right: 150px;
    }

    .articles--container {
        display: flex;
        flex-flow: row;
        flex-wrap: nowrap;
        justify-content: space-around;
    }

    .blog .article .image-container img {
        height: initial;
        width: 100%;
        top: 50%;
        transform: translate(-50%, -50%);
    }
}
